export class AccountParams {
  /** 区域id */
  areaId = undefined;

  /** 会员电话 */
  customerPhone = '';

  /** 会员id */
  id = undefined;

  /** 服务id */
  serviceIdList = [];
}

export class AppRechargeAccountSynchronizationParameters {
  /** 豆金额 */
  beanMoney = undefined;

  /** 会员id */
  customerId = undefined;

  /** 操作人 */
  handler = '';

  /** 艾米金额 */
  money = undefined;

  /** 订单号 */
  orderNum = '';

  /** 支付类型 */
  payType = '';

  /** 服务类型id */
  serviceId = undefined;
}

export class BaseDataVo {
  /** name */
  name = '';

  /** value */
  value = '';
}

export class ConsumeOrder {
  /** 实付金额 */
  actualMoney = undefined;

  /** 区域id */
  areaId = undefined;

  /** 区域名称 */
  areaName = '';

  /** 消费类型 1专用豆 2艾米币 3通用豆 4混合消费 */
  consumeType = '';

  /** 消费时间 */
  createAt = '';

  /** 会员电话 */
  customerCellphone = '';

  /** 会员id */
  customerId = undefined;

  /** 会员名称 */
  customerName = '';

  /** 抵扣豆 */
  deductionBean = undefined;

  /** 抵扣金额 */
  deductionMoney = undefined;

  /** 设备编号 */
  equipmentNum = '';

  /** 设备位置 */
  equipmentPosition = '';

  /** 主键id */
  id = undefined;

  /** 运营商id */
  operateId = undefined;

  /** 运营商名称 */
  operateName = '';

  /** 运营模式 1：先消费豆后消费艾米；0：先消费艾米后消费豆；2：只消费艾米 */
  operationMode = '';

  /** 订单名称 */
  orderName = '';

  /** 订单编号 */
  orderNumber = '';

  /** 订单状态 1未支付 2已支付 */
  orderState = '';

  /** 上传交易号 */
  outTradeNo = '';

  /** 支付类型(1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付 6:艾米币 7:专用豆 8通用豆) */
  payType = '';

  /** 应付金额 */
  payableMoney = undefined;

  /** 服务id */
  serviceId = undefined;

  /** 服务名称 */
  serviceName = '';

  /** 第三方优惠金额 */
  thirdDiscountMoney = undefined;

  /** 第三方交易单号 */
  thirdTradeNumber = '';

  /** 更新时间 */
  updateDate = '';
}

export class ConsumeOrderDeductionInfoResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 订单抵扣信息 */
  data = new ConsumeOrderDeductionInfoVo();

  /** 具体的错误信息 */
  msg = '';
}

export class ConsumeOrderDeductionInfoVo {
  /** 艾米余额 */
  amiAccount = undefined;

  /** 豆余额 */
  beanAccount = undefined;

  /** 抵扣金额 */
  deductionMoney = undefined;

  /** 抵扣类型：1专项豆抵扣、2通用豆抵扣、3艾米抵扣 */
  deductionType = '';

  /** 订单金额 */
  orderMoney = undefined;

  /** 支付金额 */
  payMoney = undefined;

  /** 支付类型(1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付 6:艾米币 7:专用豆 8通用豆) */
  payType = '';

  /** 结余金额 */
  remainAccount = undefined;

  /** 标题前缀 */
  titlePerfix = '';
}

export class ConsumeOrderDetailAndPayResponse {
  /** accounts */
  accounts = [];

  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 具体的错误信息 */
  msg = '';

  /** orderInfo */
  orderInfo = new ConsumeOrder();

  /** payInfos */
  payInfos = new PaymentAndActiveVo();
}

export class ConsumeOrderDetailResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new ConsumeOrder();

  /** 具体的错误信息 */
  msg = '';
}

export class ConsumeOrderGroupData {
  /** data */
  data = [];

  /** groupName */
  groupName = '';
}

export class ConsumeOrderGroupResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = [];

  /** 具体的错误信息 */
  msg = '';
}

export class ConsumeOrderPayInfoResponse {
  /** 是否呼起支付 0否，1是 */
  canCall = undefined;

  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 具体的错误信息 */
  msg = '';

  /** 商户交易订单号 */
  outTradeNo = '';

  /** 当canCall为1时，APP需要的支付串信息 */
  payStr = '';
}

export class ConsumeOrderResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = [];

  /** 具体的错误信息 */
  msg = '';
}

export class ConsumeOrderSingleResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new ConsumeOrder();

  /** 具体的错误信息 */
  msg = '';
}

export class ConsumeOrderStateResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 具体的错误信息 */
  msg = '';

  /** rspCode */
  rspCode = '';

  /** rspMsg */
  rspMsg = '';
}

export class Customer {
  /** areaId */
  areaId = undefined;

  /** areaName */
  areaName = '';

  /** createAt */
  createAt = '';

  /** customerHead */
  customerHead = '';

  /** customerName */
  customerName = '';

  /** customerPhone */
  customerPhone = '';

  /** customerSex */
  customerSex = '';

  /** customerType */
  customerType = '';

  /** email */
  email = '';

  /** id */
  id = undefined;

  /** isFirstRecharge */
  isFirstRecharge = undefined;

  /** state */
  state = '';

  /** updateAt */
  updateAt = '';
}

export class CustomerAccountResp {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 响应数据体 */
  data = [];

  /** 具体的错误信息 */
  msg = '';
}

export class CustomerAndAccountData {
  /** 服务豆余额 */
  bean = undefined;

  /** campusId */
  campusId = undefined;

  /** cellphone */
  cellphone = '';

  /** 硬件账号 */
  hardwareAccount = '';

  /** id */
  id = undefined;

  /** 余额 */
  mony = undefined;

  /** name */
  name = '';

  /** 运营模式，1授信 2保证金 3传统 */
  operationMode = '';

  /** schoolId */
  schoolId = undefined;

  /** state */
  state = '';

  /** studentNo */
  studentNo = '';

  /** type */
  type = '';
}

export class CustomerAndAccountResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new CustomerAndAccountData();

  /** 具体的错误信息 */
  msg = '';
}

export class CustomerBaseResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 响应数据体 */
  data = new Customer();

  /** 具体的错误信息 */
  msg = '';
}

export class CustomerBeanAccountVo {
  /** money */
  money = undefined;

  /** serviceId */
  serviceId = '';
}

export class CustomerParams {
  /** 区域id */
  areaId = undefined;

  /** 区域名称 */
  areaName = '';

  /** 出生年月 */
  birthDay = '';

  /** 会员昵称 */
  customerName = '';

  /** 会员联系方式 */
  customerPhone = '';

  /** 会员性别 */
  customerSex = '';

  /** 会员类别 1学生 2教师 3职工 4群众 5社区领导 6学校领导 7单位领导 */
  customerType = '';

  /** 入学时间 */
  entranceDate = '';

  /** 操作人 */
  handler = '';

  /** 设备登录账号 */
  hardwareAccount = '';

  /** 设备登录密码 */
  hardwarePwd = '';

  /** 会员ID */
  id = undefined;

  /** 会员条码 */
  idBar = '';

  /** 身份证号 */
  idCard = '';

  /** 操作类型 */
  operType = '';

  /** app密码 */
  password = '';

  /** 学生证号 */
  studentNo = '';
}

export class GivenInfosResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** givenInfos */
  givenInfos = [];

  /** 具体的错误信息 */
  msg = '';
}

export class LoginInfoVo {
  /** areaId */
  areaId = undefined;

  /** areaName */
  areaName = '';

  /** birthDay */
  birthDay = '';

  /** createAt */
  createAt = '';

  /** createLoginDate */
  createLoginDate = '';

  /** customerHead */
  customerHead = '';

  /** customerId */
  customerId = undefined;

  /** customerName */
  customerName = '';

  /** customerPhone */
  customerPhone = '';

  /** customerSex */
  customerSex = '';

  /** customerType */
  customerType = '';

  /** email */
  email = '';

  /** entranceDate */
  entranceDate = '';

  /** hardwareAccount */
  hardwareAccount = '';

  /** hardwarePwd */
  hardwarePwd = '';

  /** hardwareState */
  hardwareState = '';

  /** hardwarelastDate */
  hardwarelastDate = '';

  /** idBar */
  idBar = '';

  /** idCard */
  idCard = '';

  /** isFirstRecharge */
  isFirstRecharge = undefined;

  /** lastLoginDate */
  lastLoginDate = '';

  /** loginAccount */
  loginAccount = '';

  /** loginPwd */
  loginPwd = '';

  /** loginPwdSalt */
  loginPwdSalt = '';

  /** loginState */
  loginState = '';

  /** state */
  state = '';

  /** studentNo */
  studentNo = '';

  /** token */
  token = '';

  /** updateAt */
  updateAt = '';

  /** updateLoginDate */
  updateLoginDate = '';

  /** version */
  version = '';
}

export class PaymentAndActiveInfo {
  /** 支付活动id */
  activeId = undefined;

  /** 余额，只有支付类型为艾米支付或者豆支付时才会有值 */
  amount = undefined;

  /** 支付活动说明 */
  avtiveComment = '';

  /** 抵扣比例 0-1之间的小数 */
  deductionValue = undefined;

  /** 是否豆抵扣 1：是；0：否 */
  isDeduction = undefined;

  /** 支付类型(1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付 6:艾米币 7:专用豆 8通用豆) */
  payType = '';

  /** 支付版本 */
  payVersion = '';
}

export class PaymentAndActiveVo {
  /** 支付配置与对应的活动明细 */
  paymentAndActiveInfos = [];

  /** 支付配置id */
  paymentConfId = undefined;
}

export class SelfConsumptionFlowSynchronizationParameter {
  /** 消费艾米币 */
  aimiMoney = undefined;

  /** 区域id */
  areaId = undefined;

  /** 区域名称 */
  areaName = '';

  /** 消费豆 */
  beanCount = undefined;

  /** 通用豆 */
  currencyBean = undefined;

  /** 会员电话 */
  customerCellphone = '';

  /** 会员id */
  customerId = undefined;

  /** 会员名称 */
  customerName = '';

  /** 设备编号 */
  equipmentNum = '';

  /** 设备位置 */
  equipmentPosition = '';

  /** 运营商id */
  operateId = undefined;

  /** 运营商名称 */
  operateName = '';

  /** 服务id */
  serviceId = undefined;

  /** 服务名称 */
  serviceName = '';
}

export class ServerDataResponse<T0 = any> {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 响应数据体 */
  data = [];

  /** 具体的错误信息 */
  msg = '';
}

export class ServerResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 具体的错误信息 */
  msg = '';
}

export class UnpaidConsumeOrderResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 具体的错误信息 */
  msg = '';

  /** orderId */
  orderId = undefined;

  /** title */
  title = '';
}

export class Area {
  /** areaName */
  areaName = '';

  /** areaType */
  areaType = '';

  /** cityIdGroup */
  cityIdGroup = '';

  /** cityName */
  cityName = '';

  /** createDate */
  createDate = '';

  /** director */
  director = '';

  /** directorPhone */
  directorPhone = '';

  /** hdVersion */
  hdVersion = '';

  /** id */
  id = undefined;

  /** initial */
  initial = '';

  /** property */
  property = '';

  /** rechargeOperateId */
  rechargeOperateId = undefined;

  /** rechargeOperateName */
  rechargeOperateName = '';

  /** rechargeOperatePhone */
  rechargeOperatePhone = '';

  /** state */
  state = '';

  /** updateDate */
  updateDate = '';
}

export class AreaListResp {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = [];

  /** 具体的错误信息 */
  msg = '';
}

export class AreaNameOrderResp {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = [];

  /** 具体的错误信息 */
  msg = '';
}

export class AreaOrderVo {
  /** 区域名字 */
  areaName = '';

  /** 首字母 */
  initial = '';
}

export class AreaResp {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new Area();

  /** 具体的错误信息 */
  msg = '';
}

export class AreaSelfServiceVo {
  /** 自助服务id */
  serviceId = undefined;

  /** 自助服务名称 */
  serviceName = '';
}

export class AreaSwitch {
  /** 区域id */
  areaId = undefined;

  /** id */
  id = undefined;

  /** 是否开启 0未开启 1开启 */
  isEnabled = undefined;

  /** 类型 1咨询开关 2商场开关 */
  type = '';
}

export class AreaSwitchResponse {
  /** areaSwitchs */
  areaSwitchs = [];

  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** 具体的错误信息 */
  msg = '';
}

export class CallPayInfo {
  /** outTradeNo */
  outTradeNo = '';

  /** payStr */
  payStr = '';
}

export class CallPayResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new CallPayInfo();

  /** 具体的错误信息 */
  msg = '';
}

export class CreditDepositResponse {
  /** 金额 */
  amount = undefined;

  /** 区域id */
  areaId = undefined;

  /** 运营商id */
  operateId = undefined;

  /** 展示类型 1授信额度 2保证金 */
  showType = '';
}

export class DeviceLoginConfResponse {
  /** 是否关闭 1：是；0：否 */
  isClose = undefined;
}

export class DoActiveParam {
  /** 支付活动id */
  activeId = undefined;

  /** 活动处理结束回调api */
  callbackApi = '';

  /** 会员id */
  customerId = undefined;

  /** 订单id */
  orderId = undefined;
}

export class OperationModeConfResponse {
  /** 运营模式 1授信 2保证金 3传统 */
  mode = '';
}

export class PayOrderQueryParams {
  /** 运营商ID */
  operateId = undefined;

  /** 交易订单号 */
  outTradeNo = '';

  /** 支付时间 */
  payDate = '';

  /** 支付类型:2、微信支付；3、支付宝支付；4、京东支付；5：招行一网通支付 */
  payType = '';
}

export class PayOrderQueryResponse {
  /** 交易状态0、失败；1、成功 */
  state = undefined;

  /** 交易状态描述 */
  stateDes = '';
}

export class QnTokenResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new QntokenData();

  /** 具体的错误信息 */
  msg = '';
}

export class QntokenData {
  /** token */
  token = '';
}

export class ServiceEntity {
  /** comment */
  comment = '';

  /** createDate */
  createDate = '';

  /** id */
  id = undefined;

  /** selfSerId */
  selfSerId = undefined;

  /** serviceName */
  serviceName = '';

  /** serviceType */
  serviceType = '';

  /** state */
  state = '';

  /** updateDate */
  updateDate = '';
}

export class ServiceResponse {
  /** 响应码，非1000均表示出错 */
  code = undefined;

  /** data */
  data = new ServiceEntity();

  /** 具体的错误信息 */
  msg = '';
}

export class SingleOrderJsonResponseData {
  /** charset */
  charset = '';

  /** rspData */
  rspData = new SingleOrderRspData();

  /** version */
  version = '';
}

export class SingleOrderRspData {
  /** bankDate */
  bankDate = '';

  /** bankSerialNo */
  bankSerialNo = '';

  /** bankTime */
  bankTime = '';

  /** branchNo */
  branchNo = '';

  /** cardType */
  cardType = '';

  /** currency */
  currency = '';

  /** date */
  date = '';

  /** dateTime */
  dateTime = '';

  /** discountAmount */
  discountAmount = '';

  /** fee */
  fee = '';

  /** merchantNo */
  merchantNo = '';

  /** merchantPara */
  merchantPara = '';

  /** orderAmount */
  orderAmount = '';

  /** orderNo */
  orderNo = '';

  /** orderStatus */
  orderStatus = '';

  /** rspCode */
  rspCode = '';

  /** rspMsg */
  rspMsg = '';

  /** settleAmount */
  settleAmount = '';

  /** settleDate */
  settleDate = '';

  /** settleTime */
  settleTime = '';
}
export class BarrageEntity {
  /** createdate */
  createdate = '';

  /** deletestate */
  deletestate = '';

  /** id */
  id = undefined;

  /** picurl */
  picurl = '';

  /** time */
  time = undefined;

  /** type */
  type = '';

  /** updatedate */
  updatedate = '';

  /** url */
  url = '';
}

export class JtSynchronOrderVo {
  /** 订单内容 */
  orderContent = '';

  /** 订单金额 */
  orderMoney = undefined;

  /** 订单编号 */
  orderNum = '';
}

export class JtSynchronPwdVo {
  /** 会员电话 */
  cellphone = '';

  /** 会员密码 */
  password = '';
}
